Index: c/src/tests/tmtests/ChangeLog
===================================================================
--- c/src/tests/tmtests/ChangeLog	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/ChangeLog	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -1,2 +1,41 @@
+2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac:
+	AC_INIT(package,_RTEMS_VERSION,_RTEMS_BUGS).
+	AM_INIT_AUTOMAKE([no-define foreign 1.6]).
+	* include/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm01/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm02/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm03/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm04/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm05/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm06/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm07/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm08/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm09/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm10/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm11/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm12/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm13/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm14/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm15/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm16/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm17/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm18/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm19/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm20/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm21/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm22/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm23/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm24/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm25/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm26/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm27/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm28/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm29/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tmck/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tmoverhd/Makefile.am: Remove AUTOMAKE_OPTIONS.
+
 2001-11-08	Jiri Gaisler <jiri@gaisler.com>
 
Index: c/src/tests/tmtests/Makefile.am
===================================================================
--- c/src/tests/tmtests/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
 
Index: c/src/tests/tmtests/configure.ac
===================================================================
--- c/src/tests/tmtests/configure.ac	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/configure.ac	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -4,5 +4,5 @@
 
 AC_PREREQ(2.52)
-AC_INIT
+AC_INIT([rtems-c-src-tests-tmtests],[_RTEMS_VERSION],[rtems-bugs@OARcorp.com])
 AC_CONFIG_SRCDIR([tm01])
 RTEMS_TOP(../../../..)
@@ -11,5 +11,5 @@
 RTEMS_CANONICAL_TARGET_CPU
 
-AM_INIT_AUTOMAKE(rtems-c-src-tests-tmtests,$RTEMS_VERSION,no)
+AM_INIT_AUTOMAKE([no-define foreign 1.6])
 AM_MAINTAINER_MODE
 
Index: c/src/tests/tmtests/include/Makefile.am
===================================================================
--- c/src/tests/tmtests/include/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/include/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 noinst_HEADERS = timesys.h
Index: c/src/tests/tmtests/tm01/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm01/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm01/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm01
Index: c/src/tests/tmtests/tm02/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm02/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm02/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm02
Index: c/src/tests/tmtests/tm03/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm03/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm03/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm03
Index: c/src/tests/tmtests/tm04/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm04/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm04/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm04
Index: c/src/tests/tmtests/tm05/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm05/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm05/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm05
Index: c/src/tests/tmtests/tm06/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm06/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm06/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm06
Index: c/src/tests/tmtests/tm07/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm07/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm07/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm07
Index: c/src/tests/tmtests/tm08/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm08/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm08/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm08
Index: c/src/tests/tmtests/tm09/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm09/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm09/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm09
Index: c/src/tests/tmtests/tm10/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm10/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm10/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm10
Index: c/src/tests/tmtests/tm11/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm11/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm11/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm11
Index: c/src/tests/tmtests/tm12/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm12/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm12/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm12
Index: c/src/tests/tmtests/tm13/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm13/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm13/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm13
Index: c/src/tests/tmtests/tm14/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm14/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm14/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm14
Index: c/src/tests/tmtests/tm15/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm15/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm15/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm15
Index: c/src/tests/tmtests/tm16/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm16/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm16/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm16
Index: c/src/tests/tmtests/tm17/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm17/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm17/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm17
Index: c/src/tests/tmtests/tm18/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm18/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm18/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm18
Index: c/src/tests/tmtests/tm19/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm19/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm19/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm19
Index: c/src/tests/tmtests/tm20/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm20/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm20/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm20
Index: c/src/tests/tmtests/tm21/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm21/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm21/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm21
Index: c/src/tests/tmtests/tm22/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm22/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm22/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm22
Index: c/src/tests/tmtests/tm23/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm23/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm23/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm23
Index: c/src/tests/tmtests/tm24/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm24/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm24/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm24
Index: c/src/tests/tmtests/tm25/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm25/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm25/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm25
Index: c/src/tests/tmtests/tm26/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm26/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm26/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm26
Index: c/src/tests/tmtests/tm27/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm27/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm27/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm27
Index: c/src/tests/tmtests/tm28/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm28/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm28/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm28
Index: c/src/tests/tmtests/tm29/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm29/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tm29/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm29
Index: c/src/tests/tmtests/tmck/Makefile.am
===================================================================
--- c/src/tests/tmtests/tmck/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tmck/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tmck
Index: c/src/tests/tmtests/tmoverhd/Makefile.am
===================================================================
--- c/src/tests/tmtests/tmoverhd/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ c/src/tests/tmtests/tmoverhd/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tmoverhd
Index: testsuites/tmtests/ChangeLog
===================================================================
--- testsuites/tmtests/ChangeLog	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/ChangeLog	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -1,2 +1,41 @@
+2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac:
+	AC_INIT(package,_RTEMS_VERSION,_RTEMS_BUGS).
+	AM_INIT_AUTOMAKE([no-define foreign 1.6]).
+	* include/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm01/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm02/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm03/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm04/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm05/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm06/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm07/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm08/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm09/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm10/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm11/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm12/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm13/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm14/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm15/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm16/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm17/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm18/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm19/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm20/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm21/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm22/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm23/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm24/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm25/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm26/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm27/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm28/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tm29/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tmck/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* tmoverhd/Makefile.am: Remove AUTOMAKE_OPTIONS.
+
 2001-11-08	Jiri Gaisler <jiri@gaisler.com>
 
Index: testsuites/tmtests/Makefile.am
===================================================================
--- testsuites/tmtests/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
 
Index: testsuites/tmtests/configure.ac
===================================================================
--- testsuites/tmtests/configure.ac	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/configure.ac	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -4,5 +4,5 @@
 
 AC_PREREQ(2.52)
-AC_INIT
+AC_INIT([rtems-c-src-tests-tmtests],[_RTEMS_VERSION],[rtems-bugs@OARcorp.com])
 AC_CONFIG_SRCDIR([tm01])
 RTEMS_TOP(../../../..)
@@ -11,5 +11,5 @@
 RTEMS_CANONICAL_TARGET_CPU
 
-AM_INIT_AUTOMAKE(rtems-c-src-tests-tmtests,$RTEMS_VERSION,no)
+AM_INIT_AUTOMAKE([no-define foreign 1.6])
 AM_MAINTAINER_MODE
 
Index: testsuites/tmtests/include/Makefile.am
===================================================================
--- testsuites/tmtests/include/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/include/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 noinst_HEADERS = timesys.h
Index: testsuites/tmtests/tm01/Makefile.am
===================================================================
--- testsuites/tmtests/tm01/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm01/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm01
Index: testsuites/tmtests/tm02/Makefile.am
===================================================================
--- testsuites/tmtests/tm02/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm02/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm02
Index: testsuites/tmtests/tm03/Makefile.am
===================================================================
--- testsuites/tmtests/tm03/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm03/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm03
Index: testsuites/tmtests/tm04/Makefile.am
===================================================================
--- testsuites/tmtests/tm04/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm04/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm04
Index: testsuites/tmtests/tm05/Makefile.am
===================================================================
--- testsuites/tmtests/tm05/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm05/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm05
Index: testsuites/tmtests/tm06/Makefile.am
===================================================================
--- testsuites/tmtests/tm06/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm06/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm06
Index: testsuites/tmtests/tm07/Makefile.am
===================================================================
--- testsuites/tmtests/tm07/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm07/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm07
Index: testsuites/tmtests/tm08/Makefile.am
===================================================================
--- testsuites/tmtests/tm08/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm08/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm08
Index: testsuites/tmtests/tm09/Makefile.am
===================================================================
--- testsuites/tmtests/tm09/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm09/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm09
Index: testsuites/tmtests/tm10/Makefile.am
===================================================================
--- testsuites/tmtests/tm10/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm10/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm10
Index: testsuites/tmtests/tm11/Makefile.am
===================================================================
--- testsuites/tmtests/tm11/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm11/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm11
Index: testsuites/tmtests/tm12/Makefile.am
===================================================================
--- testsuites/tmtests/tm12/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm12/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm12
Index: testsuites/tmtests/tm13/Makefile.am
===================================================================
--- testsuites/tmtests/tm13/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm13/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm13
Index: testsuites/tmtests/tm14/Makefile.am
===================================================================
--- testsuites/tmtests/tm14/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm14/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm14
Index: testsuites/tmtests/tm15/Makefile.am
===================================================================
--- testsuites/tmtests/tm15/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm15/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm15
Index: testsuites/tmtests/tm16/Makefile.am
===================================================================
--- testsuites/tmtests/tm16/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm16/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm16
Index: testsuites/tmtests/tm17/Makefile.am
===================================================================
--- testsuites/tmtests/tm17/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm17/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm17
Index: testsuites/tmtests/tm18/Makefile.am
===================================================================
--- testsuites/tmtests/tm18/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm18/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm18
Index: testsuites/tmtests/tm19/Makefile.am
===================================================================
--- testsuites/tmtests/tm19/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm19/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm19
Index: testsuites/tmtests/tm20/Makefile.am
===================================================================
--- testsuites/tmtests/tm20/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm20/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm20
Index: testsuites/tmtests/tm21/Makefile.am
===================================================================
--- testsuites/tmtests/tm21/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm21/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm21
Index: testsuites/tmtests/tm22/Makefile.am
===================================================================
--- testsuites/tmtests/tm22/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm22/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm22
Index: testsuites/tmtests/tm23/Makefile.am
===================================================================
--- testsuites/tmtests/tm23/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm23/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm23
Index: testsuites/tmtests/tm24/Makefile.am
===================================================================
--- testsuites/tmtests/tm24/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm24/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm24
Index: testsuites/tmtests/tm25/Makefile.am
===================================================================
--- testsuites/tmtests/tm25/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm25/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm25
Index: testsuites/tmtests/tm26/Makefile.am
===================================================================
--- testsuites/tmtests/tm26/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm26/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm26
Index: testsuites/tmtests/tm27/Makefile.am
===================================================================
--- testsuites/tmtests/tm27/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm27/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm27
Index: testsuites/tmtests/tm28/Makefile.am
===================================================================
--- testsuites/tmtests/tm28/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm28/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm28
Index: testsuites/tmtests/tm29/Makefile.am
===================================================================
--- testsuites/tmtests/tm29/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tm29/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tm29
Index: testsuites/tmtests/tmck/Makefile.am
===================================================================
--- testsuites/tmtests/tmck/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tmck/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tmck
Index: testsuites/tmtests/tmoverhd/Makefile.am
===================================================================
--- testsuites/tmtests/tmoverhd/Makefile.am	(revision 4b01a189eac5c1dada41b04d6fc39af0c249818b)
+++ testsuites/tmtests/tmoverhd/Makefile.am	(revision f66be680005a5bbbc28f883d2111745b4ef87ea6)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 TEST = tmoverhd
